/**
  * Author: Jan Fuchs
  * $Date: 2009-04-02 14:10:26 +0200 (Thu, 02 Apr 2009) $
  * $Rev: 8 $
 */

#ifndef __GLOBAL_H
#define __GLOBAL_H

#define VWIDTH   640  /* sirka snimku vycitaneho z grabovaci karty */
#define VHEIGHT  576  /* vyska --||--                              */
#define SNIMKU   100  /* pocet snimku ukladanych do sdilene pameti */

/*
 *    slith begin = 319
 *    slith end   = 338
 *
 *    target [329; 300]
 *
 *    cut x = 300 
 *    cut y = 318
 */

#define SLIT_BEGIN 205
#define SLIT_END   230
//#define SLIT_BEGIN 0
//#define SLIT_END   0
#define SLIT_SIZE  (SLIT_END-SLIT_BEGIN)

#define VELIKOST  (VWIDTH * VHEIGHT)  /* velikost snimku */

#define PID_PATH "../run/"
#define MAX_LEN_FILE_NAME 1023

typedef enum {
  IO_METHOD_READ,
  IO_METHOD_MMAP,
  IO_METHOD_USERPTR,
} IO_METHOD_T;

void write_pid (char *p_nazev, int pid);
void remove_pid (void);
int file_exist (char *soubor);

#endif
