
/**
  * Author: Jan Fuchs
  * $Date: 2009-04-02 14:10:26 +0200 (Thu, 02 Apr 2009) $
  * $Rev: 8 $
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <syslog.h>
#include <errno.h>

#include "global.h"

#define MAX 20

//size_t get_executable_path(char *buffer, size_t len)
//{
//    char *path_end;
//  
//    if (readlink("/proc/self/exe", buffer, len) <= 0) {
//        return -1;
//    }
//  
//    path_end = strrchr(buffer, '/');
//    if (path_end == NULL) {
//        return -1;
//    }
//  
//    ++path_end;
//    *path_end = '\0';
//  
//    return (size_t)(path_end - buffer);
//}

void
write_pid(
    char *p_nazev,
    int pid)
{
    char soubor[MAX + 5] = "\0";
    FILE *p_fw;

    if ((strlen(PID_PATH) + strlen(p_nazev)) > MAX) {
        syslog(LOG_ERR, "ERROR in %s line %i (strlen > MAX)", __FILE__,
               __LINE__);
        exit(EXIT_FAILURE);
    }

    strcat(soubor, PID_PATH);
    strcat(soubor, p_nazev);
    strcat(soubor, ".pid");

    if ((p_fw = fopen(soubor, "w")) == NULL) {
        syslog(LOG_ERR, "ERROR in %s line %i (%m, %s)", __FILE__, __LINE__,
               soubor);
        exit(EXIT_FAILURE);
    }

    fprintf(p_fw, "%i\n", pid);

    if (fclose(p_fw) == EOF) {
        syslog(LOG_ERR, "ERROR in %s line %i (%m, %s)", __FILE__, __LINE__,
               soubor);
        exit(EXIT_FAILURE);
    }
}

void
remove_pid(
    void)
{
    system("kill $(cat " PID_PATH "pointace.pid)");
    system("kill $(cat " PID_PATH "ovladani.pid)");
    system("rm " PID_PATH "pointace.pid");
    system("rm " PID_PATH "ovladani.pid");
    system("rm " PID_PATH "opso.pid");
}

int
file_exist(
    char *soubor)
{
    FILE *p_fr;

    if ((p_fr = fopen(soubor, "r")) == NULL) {
        return 0;
    }
    else {
        fclose(p_fr);
        return 1;
    }
}
