
/**
  * Author: Jan Fuchs
  * $Date: 2009-04-02 14:10:26 +0200 (Thu, 02 Apr 2009) $
  * $Rev: 8 $
 */

#include <stdio.h>
#include <linux/videodev2.h>

#include "global.h"
#include "napoveda.h"

/**
  * Napoveda
 */
void
napoveda(
    void)
{
    printf("Pouziti: opso [volby]\n\n");
    printf("Volby:\n");
    printf("-h, --help                 vypise napovedu\n");
    printf
        ("-i, --input=PATH           cesta k souboru s pointaci, kterou chceme zobrazit\n");
    printf("    --version              vypise verzi\n");
    printf("    --log                  vypise log\n");
    printf
        ("    --log-pattern=PATTERN  vypise log odpovidajici regularnimu vyrazu PATTERN\n");
    printf
        ("    --output-path=PATH     nastavi adresar pro ulozeni video souboru\n");
    printf
        ("    --usleep               suspend execution after grab image for microsecond intervals\n");
    printf("    --v4l-device           device (default: /dev/video0)\n");
    printf("    --v4l-io-method        number (default: 0)\n\n");
    printf("                           IO_METHOD_READ = %i\n",
           IO_METHOD_READ);
    printf("                           IO_METHOD_MMAP = %i\n",
           IO_METHOD_MMAP);
    printf("                           IO_METHOD_USERPTR = %i\n\n",
           IO_METHOD_USERPTR);
    printf("    --v4l-input            number (default: 0)\n");
    printf
        ("    --v4l-standard         number (default: V4L2_STD_PAL = %lli)\n\n",
         V4L2_STD_PAL);
    printf("                           V4L2_STD_PAL_B = %lli\n",
           V4L2_STD_PAL_B);
    printf("                           V4L2_STD_PAL_B1 = %lli\n",
           V4L2_STD_PAL_B1);
    printf("                           V4L2_STD_PAL_G = %lli\n",
           V4L2_STD_PAL_G);
    printf("                           V4L2_STD_PAL_H = %lli\n",
           V4L2_STD_PAL_H);
    printf("                           V4L2_STD_PAL_I = %lli\n",
           V4L2_STD_PAL_I);
    printf("                           V4L2_STD_PAL_D = %lli\n",
           V4L2_STD_PAL_D);
    printf("                           V4L2_STD_PAL_D1 = %lli\n",
           V4L2_STD_PAL_D1);
    printf("                           V4L2_STD_PAL_K = %lli\n",
           V4L2_STD_PAL_K);
    printf("                           V4L2_STD_PAL_M = %lli\n",
           V4L2_STD_PAL_M);
    printf("                           V4L2_STD_PAL_N = %lli\n",
           V4L2_STD_PAL_N);
    printf("                           V4L2_STD_PAL_Nc = %lli\n",
           V4L2_STD_PAL_Nc);
    printf("                           V4L2_STD_PAL_60 = %lli\n",
           V4L2_STD_PAL_60);
    printf("                           V4L2_STD_NTSC_M = %lli\n",
           V4L2_STD_NTSC_M);
    printf("                           V4L2_STD_NTSC_M_JP = %lli\n",
           V4L2_STD_NTSC_M_JP);
    printf("                           V4L2_STD_NTSC_443 = %lli\n",
           V4L2_STD_NTSC_443);
    printf("                           V4L2_STD_NTSC_M_KR = %lli\n",
           V4L2_STD_NTSC_M_KR);
    printf("                           V4L2_STD_SECAM_B = %lli\n",
           V4L2_STD_SECAM_B);
    printf("                           V4L2_STD_SECAM_D = %lli\n",
           V4L2_STD_SECAM_D);
    printf("                           V4L2_STD_SECAM_G = %lli\n",
           V4L2_STD_SECAM_G);
    printf("                           V4L2_STD_SECAM_H = %lli\n",
           V4L2_STD_SECAM_H);
    printf("                           V4L2_STD_SECAM_K = %lli\n",
           V4L2_STD_SECAM_K);
    printf("                           V4L2_STD_SECAM_K1 = %lli\n",
           V4L2_STD_SECAM_K1);
    printf("                           V4L2_STD_SECAM_L = %lli\n",
           V4L2_STD_SECAM_L);
    printf("                           V4L2_STD_SECAM_LC = %lli\n",
           V4L2_STD_SECAM_LC);
    printf("                           V4L2_STD_ATSC_8_VSB = %lli\n",
           V4L2_STD_ATSC_8_VSB);
    printf("                           V4L2_STD_ATSC_16_VSB = %lli\n",
           V4L2_STD_ATSC_16_VSB);
    printf("                           V4L2_STD_MN = %lli\n", V4L2_STD_MN);
    printf("                           V4L2_STD_B = %lli\n", V4L2_STD_B);
    printf("                           V4L2_STD_GH = %lli\n", V4L2_STD_GH);
    printf("                           V4L2_STD_DK = %lli\n", V4L2_STD_DK);
    printf("                           V4L2_STD_PAL_BG = %lli\n",
           V4L2_STD_PAL_BG);
    printf("                           V4L2_STD_PAL_DK = %lli\n",
           V4L2_STD_PAL_DK);
    printf("                           V4L2_STD_PAL = %lli\n", V4L2_STD_PAL);
    printf("                           V4L2_STD_NTSC = %lli\n",
           V4L2_STD_NTSC);
    printf("                           V4L2_STD_SECAM_DK = %lli\n",
           V4L2_STD_SECAM_DK);
    printf("                           V4L2_STD_SECAM = %lli\n",
           V4L2_STD_SECAM);
    printf("                           V4L2_STD_525_60 = %lli\n",
           V4L2_STD_525_60);
    printf("                           V4L2_STD_625_50 = %lli\n",
           V4L2_STD_625_50);
    printf("                           V4L2_STD_ATSC = %lli\n",
           V4L2_STD_ATSC);
    printf("                           V4L2_STD_UNKNOWN = %i\n",
           V4L2_STD_UNKNOWN);
    printf("                           V4L2_STD_ALL = %lli\n", V4L2_STD_ALL);
}

/**
  * Verze
 */
void
version(
    void)
{
#ifdef DBG
    printf("opso %sdbg%s\n", VERSION, CAS_KOMPILACE);
#else
    printf("opso %s%s\n", VERSION, CAS_KOMPILACE);
#endif
    printf("Written by Jan Fuchs\n\n");
    printf("Copyright (C) 2005-2008 Free Software Foundation, Inc.\n");
    printf
        ("This is free software; see the source for copying conditions.  There is NO\n");
    printf
        ("warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n");
}
